All Classes Files Functions Enumerations Enumerator Macros
qfi_NAV Class Reference

`#include <qfi_NAV.h>`

Inheritance diagram for qfi_NAV:

## Public Member Functions

| qfi_NAV (QWidget *parent=0)
virtual | ~qfi_NAV ()
void | reinit ()
void | update ()
void | setHeading (float heading)
void | setHeadingBug (float headingBug)
void | setCourse (float course)
void | setBearing (float bearing, bool visible=false)
void | setDeviation (float deviation, bool visible=false)
void | setDistance (float distance, bool visible=false)

## Protected Member Functions

void | resizeEvent (QResizeEvent *event)

## Detailed Description

This class provides Navigation Display widget.

## Constructor & Destructor Documentation

qfi_NAV::qfi_NAV | ( | QWidget * | parent = `0` | ) |

explicit

Constructor.

qfi_NAV::~qfi_NAV | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

void qfi_NAV::reinit | ( |  | ) |

Reinitiates widget.

void qfi_NAV::resizeEvent | ( | QResizeEvent * | event | ) |

protected

void qfi_NAV::setBearing | ( | float | bearing,
|  | bool | visible = `false`
| ) |  |

Parameters

  bearing | [deg]

void qfi_NAV::setCourse | ( | float | course | ) |

Parameters

  course | [deg]

void qfi_NAV::setDeviation | ( | float | deviation,
|  | bool | visible = `false`
| ) |  |

Parameters

  deviation | [-]

void qfi_NAV::setDistance | ( | float | distance,
|  | bool | visible = `false`
| ) |  |

Parameters

  distance | [nm]

void qfi_NAV::setHeading | ( | float | heading | ) |

Parameters

  heading | [deg]

void qfi_NAV::setHeadingBug | ( | float | headingBug | ) |

Parameters

  heading | bug [deg]

void qfi_NAV::update | ( |  | ) |

Refreshes (redraws) widget.

The documentation for this class was generated from the following files:

- qfi_NAV.h
- qfi_NAV.cpp